/*
 * $Id: //trid/release/pam_otp_auth-3.2.2/otp_pw_valid.h#1 $
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
 *
 *  For alternative licensing, contact licensing@tri-dsystems.com.
 *
 * Copyright 2006 TRI-D Systems, Inc.
 */

#ifndef OTP_PW_VALID_H
#define OTP_PW_VALID_H

#include "ident.h"
RCSIDH(otp_pw_valid_h, "$Id: //trid/release/pam_otp_auth-3.2.2/otp_pw_valid.h#1 $")

#include "extern.h"	/* otp_option_t */
#include "otp.h"	/* otp_request_t, otp_reply_t */

static int otprc2pamrc(int);
static int otp_verify(const otp_option_t *,
                      const otp_request_t *, otp_reply_t *);
static int otp_connect(const char *);

#endif /* OTP_PW_VALID_H */
