Summary: PAM OTP authentication module
Name: pam_otp_auth
Version: 3.2.2
Release: 1
License: GPL
Group: System Environment/Libraries
Vendor: TRI-D Systems, Inc.
URL: http://www.tri-dsystems.com/
Source: %{name}-%{version}.tar.gz
Packager: TRI-D Systems, Inc. <support@tri-dsystems.com>
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: otpd, lsmd
BuildRequires: pam-devel

%description
This is the PAM to OTP authentication module.  It allows any PAM-capable
machine to become an OTP client for authentication.  You will need to run at
least otpd and lsmd on the same machine.

%define debug_package %{nil}

%prep

%setup -q

%build
./configure
%{__make}

%install
%{__install} -D %{name}.so $RPM_BUILD_ROOT/lib/security/%{name}.so
%{__install} -D %{name}.5 $RPM_BUILD_ROOT/%{_mandir}/man5/%{name}.5

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc NEWS
/lib/security/%{name}.so
%{_mandir}/*

%changelog
* Tue May 22 2007 Frank Cusack <frank@tri-dsystems.com> 3.2.2-1
- new release

* Sat Apr 28 2007 Robert Flemming <flemming@tri-dsystems.com> 3.2.1-1
- Initial release
